<?php

Route::prefix('Panier')->name('Basket.')->group(function () {
    Route::post('getPrice', 'BasketController@getPrice')->name('getPrice');
    Route::post('addBasket', 'BasketController@addBasket')->name('addBasket');
    Route::get('modalBasket/{offer_id?}/{quantity?}', 'BasketController@modalBasket')->name('modalBasket');
    Route::get('getBasket', 'BasketController@getBasket')->name('getBasket');
    Route::get('getBasketTotal/{deliveryId?}/{deliveryTypeId?}', 'BasketController@getBasketTotal')->name('getBasketTotal');
    Route::get('getSummary', 'BasketController@getSummary')->name('getSummary');
    Route::get('countBasket', 'BasketController@countBasket')->name('countBasket');
    Route::get('clearBasket', 'BasketController@clearBasket')->name('clearBasket');
    Route::get('basket', 'BasketController@basket')->name('basket');
    Route::post('order', 'BasketController@order')->name('order');
});
